IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Affichage des résultats du sondage: Quelle version d'Eclipse utilisez-vous ? Pourquoi ?

Votants
207. Vous ne pouvez pas participer à ce sondage.
  • 3.0

    142 68,60%
  • 2.1.3

    12 5,80%
  • 2.1.2

    9 4,35%
  • 2.1.1

    4 1,93%
  • 2.1

    2 0,97%
  • 2.0.2

    2 0,97%
  • 2.0.1

    0 0%
  • 2.0

    1 0,48%
  • 1.0

    0 0%
  • autre, précisez...

    20 9,66%
  • Je n'utilise pas eclipse

    10 4,83%
  • Sans opinion

    5 2,42%
Eclipse Discussion :

Quelle version d'Eclipse utilisez-vous ? Pourquoi ? [Archives]


Sujet :

Eclipse

  1. #1
    Expert éminent sénior


    Profil pro
    Inscrit en
    octobre 2003
    Messages
    7 856
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : octobre 2003
    Messages : 7 856
    Points : 34 380
    Points
    34 380
    Par défaut Quelle version d'Eclipse utilisez-vous ? Pourquoi ?
    Sondage archivé.
    Retrouvez le sondage actuel ici.



    Quelle version d'Eclipse utilisez-vous ? Pourquoi ?
      0  0

  2. #2
    Expert éminent
    Avatar de cyberzoide
    Profil pro
    Inscrit en
    mai 2002
    Messages
    1 277
    Détails du profil
    Informations personnelles :
    Âge : 42
    Localisation : France, Rhône (Rhône Alpes)

    Informations forums :
    Inscription : mai 2002
    Messages : 1 277
    Points : 6 612
    Points
    6 612
    Par défaut
    Je viens tout juste de découvrir Eclipse, j'ai donc pris la toute dernière version : 3.0

    Cependant au vu des problèmes de non prise en compte du plugin Omondo, je risque de passer prochainement à une version antérieure si ce problème ne se règle pas très vite.
    Supervision avec Check_MK et OMDdistro (Open Monitoring Distribution)
      0  0

  3. #3
    Rédacteur
    Avatar de lunatix
    Homme Profil pro
    Architecte technique
    Inscrit en
    novembre 2002
    Messages
    1 960
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Architecte technique

    Informations forums :
    Inscription : novembre 2002
    Messages : 1 960
    Points : 3 679
    Points
    3 679
    Par défaut
    la 3.0 etant toute neuve, les plugins ne sont pas encore tous a jour...mais ca va venir.

    j'utilise la 3.0 pour le multi workspace. et la 2.1 pour uml (pour le moment)
      0  0

  4. #4
    Expert éminent

    Avatar de christopheJ
    Profil pro
    Inscrit en
    avril 2004
    Messages
    1 600
    Détails du profil
    Informations personnelles :
    Âge : 48
    Localisation : France, Indre et Loire (Centre)

    Informations forums :
    Inscription : avril 2004
    Messages : 1 600
    Points : 8 235
    Points
    8 235
    Par défaut
    La 2.1.2 parce que c'etait la derniere quand j'ai installé et que comme tout fonctionne, jai pas voulu prendre le risque d'installer une plus récente et avoir un plug-in qui ne fonctionne pas.
      0  0

  5. #5
    Membre régulier
    Profil pro
    Inscrit en
    septembre 2003
    Messages
    75
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2003
    Messages : 75
    Points : 92
    Points
    92
    Par défaut
    Salut,

    J'utilise Eclipse 3 parce qu'elle propose plein de petits plus :
    multi workspace
    completion de la javadoc
    recherche des méthodes appelant une méthode
    ...

    Mais, parfois, je retoure sur Eclipse 2.1.3 pour l'UML entre autre.

    Il n'y a donc pas de bon plugin UML gratuit actuellement en développement pour Eclipse 3 ?
      0  0

  6. #6
    Rédacteur
    Avatar de lunatix
    Homme Profil pro
    Architecte technique
    Inscrit en
    novembre 2002
    Messages
    1 960
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Architecte technique

    Informations forums :
    Inscription : novembre 2002
    Messages : 1 960
    Points : 3 679
    Points
    3 679
    Par défaut
    Citation Envoyé par Benoit2V
    Il n'y a donc pas de bon plugin UML gratuit actuellement en développement pour Eclipse 3 ?
    ben si omondo, mais ils donnent la primeurs a la version payante (normal quand meme)
      0  0

  7. #7
    Membre régulier
    Profil pro
    Inscrit en
    septembre 2003
    Messages
    75
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2003
    Messages : 75
    Points : 92
    Points
    92
    Par défaut
    ben si omondo, mais ils donnent la primeurs a la version payante (normal quand meme)
    Heu... Il semble qu'il n'y ait pas de version gratuit prévue pour Eclipse 3 du plugin d'OMONDO (En tout les cas, il n'est pas indiqué qu'une telle version soit prévue sur leur site).
      0  0

  8. #8
    Membre confirmé
    Avatar de Glob
    Homme Profil pro
    Architecte de système d'information
    Inscrit en
    avril 2002
    Messages
    428
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 46
    Localisation : Suisse

    Informations professionnelles :
    Activité : Architecte de système d'information

    Informations forums :
    Inscription : avril 2002
    Messages : 428
    Points : 630
    Points
    630
    Par défaut
    J'ai pris la 3.0. Comme je ne m'en sers que pour coder en Java, je n'ai pas de problèmes de compatibilité de plug-ins.
    Glob
    What would you do if you were not afraid?

    Cours et tutoriels pour apprendre Java , FAQ Java, et Forum Java
      0  0

  9. #9
    Rédacteur
    Avatar de lunatix
    Homme Profil pro
    Architecte technique
    Inscrit en
    novembre 2002
    Messages
    1 960
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Architecte technique

    Informations forums :
    Inscription : novembre 2002
    Messages : 1 960
    Points : 3 679
    Points
    3 679
    Par défaut
    effectivement ... faut suivre ce post http://www.forum-omondo.com/viewtopic.php?t=399
      0  0

  10. #10
    Membre expérimenté

    Homme Profil pro
    Senior Développeur JEE
    Inscrit en
    avril 2002
    Messages
    795
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 48
    Localisation : Belgique

    Informations professionnelles :
    Activité : Senior Développeur JEE
    Secteur : Finance

    Informations forums :
    Inscription : avril 2002
    Messages : 795
    Points : 1 660
    Points
    1 660
    Par défaut
    Pour ma part je viens d'installer la version 3.0 avec le plugin jope déjà existant pour la version 3.0 et le plugin lomboz existant aussi.

    Sinon pour ce qui est easystruts j'utilise encore la version 2.1.3 d'eclipse en attendant la version 0.7.0 du plugin.

    N'ayant jamais downloadé aucune version intermédiaire ni aucune RC entre ces 2 versions, j'ai été agréablement surpris de l'ergonomie.
    Reste à tester les différentes fonctionnelités supplémentaires.

    Voilà
    Langages : Java, SQL
    Outils : Eclipse, Intellij
    SGBD : Oracle, PostgreSQL
    Mes Articles
      0  0

  11. #11
    Membre régulier
    Profil pro
    Inscrit en
    juin 2004
    Messages
    108
    Détails du profil
    Informations personnelles :
    Localisation : Suisse

    Informations forums :
    Inscription : juin 2004
    Messages : 108
    Points : 108
    Points
    108
    Par défaut
    J'utilise la 3.0 normalement.
    Mais la 2.1.3 me permet d'utiliser le plugin d' Easy Struts qui ne fonctionne encore pas sous la 3.0.
      0  0

  12. #12
    Expert éminent
    Avatar de elitost
    Homme Profil pro
    Consultant informatique
    Inscrit en
    septembre 2003
    Messages
    1 985
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 46
    Localisation : France, Moselle (Lorraine)

    Informations professionnelles :
    Activité : Consultant informatique
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : septembre 2003
    Messages : 1 985
    Points : 6 566
    Points
    6 566
    Par défaut
    J'ai voulu migrer en 3.0 mais lorsque j'ai voulu créer un projet EJB avec le plugin JOPE 1.4.1 , là plantage et lenteur dans l'EDI, je sui donc revenu à la 2.1.3 en attendant
      0  0

  13. #13
    Membre éprouvé

    Profil pro
    Inscrit en
    mars 2002
    Messages
    652
    Détails du profil
    Informations personnelles :
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations forums :
    Inscription : mars 2002
    Messages : 652
    Points : 1 131
    Points
    1 131
    Par défaut
    Personnellement, j'utilise la 3.0.
    Principalement parceque je désire tester RCP pour mes futures applications cliente.
    J'attend avec impatience l'upgrate de quelques plug-in. Certain le sont déjà et fonctionnent à merveille comme HibernateSynchronizer.

    Le Multi workspace a pas mal d'avantages aussi mais les infos qu'il conserve par plug-in et surtout par version de plug-in semble ne pas être au point. Je pense que l'on vas se retrouver avec des workspace incompatible d'ici peu sur les gros projet.
    Clic me...
    CV en ligne

    Il y a 10 types de personnes, celui qui connait le binaire, et l'autre...

    Pas de réponse en MP...Merci
      0  0

  14. #14
    Membre expérimenté

    Homme Profil pro
    Senior Développeur JEE
    Inscrit en
    avril 2002
    Messages
    795
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 48
    Localisation : Belgique

    Informations professionnelles :
    Activité : Senior Développeur JEE
    Secteur : Finance

    Informations forums :
    Inscription : avril 2002
    Messages : 795
    Points : 1 660
    Points
    1 660
    Par défaut
    Citation Envoyé par elitost
    J'ai voulu migrer en 3.0 mais lorsque j'ai voulu créer un projet EJB avec le plugin JOPE 1.4.1 , là plantage et lenteur dans l'EDI, je sui donc revenu à la 2.1.3 en attendant
    C'est bizarre car j'ai refait exactement la même chose que j'ai expliqué dans mon article avec la verison 3.0 et JOPE-1.4.1 et je n'ai eu aucun problème.
    Langages : Java, SQL
    Outils : Eclipse, Intellij
    SGBD : Oracle, PostgreSQL
    Mes Articles
      0  0

  15. #15
    Nouveau membre du Club
    Profil pro
    Inscrit en
    juin 2004
    Messages
    34
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2004
    Messages : 34
    Points : 38
    Points
    38
    Par défaut
    Moi j'utilise la 2.1.3 pour mes plugins easystruts,..., mais je suis passé à la 3.0 pour la tester et essayer le plugin phpeclipse
      0  0

  16. #16
    Nouveau membre du Club
    Profil pro
    Inscrit en
    avril 2004
    Messages
    29
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : avril 2004
    Messages : 29
    Points : 34
    Points
    34
    Par défaut
    moi j'étais passé à la 3.0 mais je reviens à la 2.1.3 qui est moins gourmande en memoire. Avec la 3.0 et seulement 256Mo ça devenait impossible à gérer, il fallait que je desactive la moitié des services (sous windows).
      0  0

  17. #17
    Rédacteur
    Avatar de Louis-Guillaume Morand
    Homme Profil pro
    Cloud Architect
    Inscrit en
    mars 2003
    Messages
    10 839
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Hauts de Seine (Île de France)

    Informations professionnelles :
    Activité : Cloud Architect
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mars 2003
    Messages : 10 839
    Points : 28 252
    Points
    28 252
    Par défaut
    3.0 parce que sur la 2.1 j'avais 300Mo de plugins rad qui marchaient pas donc comme un bordel pas possible, le plus simple est de nettoyé par le vide.

    de plus, la 3.0 est un peu moins carré, ca rend ce logiciel moins moche. pour moi, il est toujours aussi lourd et des erreurs de compilation sans savoir pourquoi, mais bon je l'aime bien.

    et je crois qu'il y a surtout la 'pliure du code' alors, ca, quest ce que je l'ai attendu parce que pour se retrouver dans une classe de 6000lignes (et dois exister bien plus) cest pas gagné.

    par contre, me manque encore, les #region de visual.net pour l'instant, je me sers des TODO pour marquer la bordure. il y a ptete plus propre...

    en plus les rc s'enchainent a une vitesse

    c'est quand la 4? :p
    moi c'est Louis-Guillaume, ni Louis, ni Guillaume mais Louis-Guillaume et je n'aide pas ceux qui écorchent mon nom
      0  0

  18. #18
    ced
    ced est déconnecté
    Rédacteur/Modérateur

    Avatar de ced
    Homme Profil pro
    Gestion de bases de données techniques
    Inscrit en
    avril 2002
    Messages
    6 000
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 48
    Localisation : France, Loiret (Centre)

    Informations professionnelles :
    Activité : Gestion de bases de données techniques
    Secteur : Agroalimentaire - Agriculture

    Informations forums :
    Inscription : avril 2002
    Messages : 6 000
    Points : 23 655
    Points
    23 655
    Par défaut
    Pour l'instant, VE plante sous la 3.0 (que je teste comme tout le monde), donc je reste sous la 2.1.3.

    ced
    Rédacteur / Modérateur SGBD et R
    Mes tutoriels et la FAQ MySQL

    ----------------------------------------------------
    Pensez aux balises code et au tag
    Une réponse vous a plu ? N'hésitez pas à y mettre un
    Je ne réponds pas aux questions techniques par message privé, les forums sont là pour ça
      0  0

  19. #19
    Membre habitué
    Avatar de Tifauv'
    Profil pro
    Inscrit en
    mars 2002
    Messages
    102
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : mars 2002
    Messages : 102
    Points : 129
    Points
    129
    Par défaut
    Je suis passé à la 3.0 pour voir et les plus que j'ai trouvé font que j'y reste :
    • pliage de code
    • plus d'options de warnings du compilo
    • plugin 'Call Hierarchy' intégré
    • support du style Java 'officiel'
    • le Rename rapide
    • QuickDiff
    • le syntax highlight évolué
    • La vue Console améliorée (blocage sur une console donnée, suppression des programmes terminés plus accessible)
    • Vues Javadoc et Declaration
    • Séparation des vues Tasks et Problems
    • Désactivation des breakpoints par checkbox
    • Lancement des tâches en arrière-plan
    • ...

    Le tout sans perte de vitesse et avec le plugin Tomcat qui fonctionne.
    Manque plus qu'un plugin Omondo-like libre. Il y en a plusieurs en préparation (dont un à l'ESEO - Angers, devrait sortir en Septembre).
    - Un pointeur, c'est comme un fusil chargé mal reglé avec la gachette qui s'appuie toute seule des fois.
    - Nan nan nan ça c'est le C. Un pointeur, c'est la même chose, mais avec le Quad Damage.
      0  0

  20. #20
    Membre habitué
    Inscrit en
    octobre 2002
    Messages
    164
    Détails du profil
    Informations forums :
    Inscription : octobre 2002
    Messages : 164
    Points : 190
    Points
    190
    Par défaut
    La 3.0 parce ce que je suis Eclipse depuis le longtemps : M6, M7, M8, RC1, RC2.

    Je n'utilise que peu de plugin car peu sont intéressant au regard de ce qu'ils apportent (en tout cas dans le style "all in one"). De très grosse amélioration dans la 3.0 en font un produit majeur.

    Je me rappelle il y a 1 an quand j'avais interpellé les admin du forum "IDE" pour créer un forum spécial "Eclipse" en disant qu'au US Eclipse devenait un produit majeur dans le dév J2EE...
    Aujourd'hui plus besoin de le crier : il suffit de regarder les chiffres et la qualité du produit.
      0  0

Discussions similaires

  1. Quelle version d'Eclipse utilisez-vous ? Pourquoi ?
    Par alain.bernard dans le forum Eclipse
    Réponses: 40
    Dernier message: 24/03/2015, 11h50
  2. Quelle version d'Eclipse utilisez-vous ? Pourquoi ?
    Par djo.mos dans le forum Eclipse
    Réponses: 30
    Dernier message: 22/10/2009, 11h49
  3. Réponses: 14
    Dernier message: 29/10/2008, 14h52
  4. Quelle version d'Eclipse utilisez-vous ? Pourquoi ?
    Par Ricky81 dans le forum Eclipse
    Réponses: 37
    Dernier message: 01/10/2007, 00h39

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo